Summary:	Udev helper for naming devices per BIOS names
Summary(pl.UTF-8):	Program pomocniczy udev do nazywania urządzeń zgodnie z nazwami BIOS-u
Name:		biosdevname
Version:	0.7.2
Release:	1
License:	GPL v2
Group:		Base
Source0:	http://linux.dell.com/files/biosdevname/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3baeaa28bffb8128331a4f3715db27dd
URL:		http://linux.dell.com/files/biosdevname/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
Requires:	udev-core
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or if
# so, there haven't been any comments about that on LKML.
ExclusiveArch:	%{ix86} %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be. This is
necessary on systems where the BIOS name for a given device (e.g. the
label on the chassis is "Gb1") doesn't map directly and obviously to
the kernel name (e.g. eth0).

%description -l pl.UTF-8
biosdevname w najprostszej formie przyjmuje jako arugmnet nazwę
urządzenia wg jądra Linuksa i zwraca, jaką ono powinno mieć nazwę
nadaną przez BIOS. Jest to przydatne na systemach, gdzie BIOS-owa
nazwa danego urządzenia (np. etykieta na obudowie "Gb1") nie ma
bezpośredniego, oczywistego odwzorowania na nazwę wg jądra Linuksa
(np. eth0).

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--prefix=/ \
	--sbindir=/sbin
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install install-data \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) /sbin/%{name}
/lib/udev/rules.d/*-biosdevname.rules
%{_mandir}/man1/%{name}.1*
%changelog
* Sun Mar 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/biosdevname.git;a=log;h=master

* Sat Mar 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 4fbf529
- updated to 0.7.2

* Tue Dec 29 2015 Jakub Bogusz <qboosh@pld-linux.org> e497225
- added x32 to archs; removed ia64 (following upstream spec)

* Tue Dec 29 2015 Jan Palus <atler@pld-linux.org> 7960aba
- up to 0.7.1

* Sun Jul 29 2012 Jakub Bogusz <qboosh@pld-linux.org> ecccf40
- updated to 0.4.1
- pl

* Fri May 04 2012 Elan Ruusamäe <glen@pld-linux.org> a549425
- up to 0.4.0

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 674e4ea
- up to 0.3.11

* Tue Aug 09 2011 Elan Ruusamäe <glen@pld-linux.org> 0e9054c
- up to 0.3.9

* Tue Jun 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e7879b6
- up to 0.3.8

* Fri Feb 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5effd23
- up to 0.3.7

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> 6c838d4
- up to 0.3.6

* Tue Jan 25 2011 Elan Ruusamäe <glen@pld-linux.org> e9da034
- based on fedora package

